{ config, pkgs, ...}:
{
  config = {
    # users = {
    #   users.neko = {
    #     isNormalUser = true;
    #     description = "Watchthingz Running User";
    #     group = "neko";
    #   };
    #   groups.neko = {};
    # };
    virtualisation.oci-containers = {
      containers = rec {
        neko = {
          image = "m1k1o/neko:vivaldi";
          ports = [
            "8080:8080"
            "52000-52100:52000-52100/udp"
          ];
          environment = {
            NEKO_SCREEN = "1920x1080@30";
            NEKO_PASSWORD = "GBGJ";
            NEKO_PASSWORD_ADMIN = "davey";
            NEKO_EPR = "52000-52100";
            NEKO_ICELITE = "1";
          };
          extraOptions = [
            "--pull=newer"
          ];
          # user = "neko";
        };
      };
    };
    # Rootless podman broken by: github.com/nixos/nixpkgs/issues/207050
    # systemd.services.podman-neko.serviceConfig.User = "neko";
  };
}
